VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::StructureStub Class Reference

Remote stub implementation of the Structure API service. More...

Inherits vmware::vapi::metadata::metamodel::Structure.

List of all members.

## Public Member Functions
| StructureStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.List < string > | List ()
| Returns the identifiers for the structure elements that are contained in all the package elements and service elements.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the structure elements that are contained in all the package elements and service elements.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Returns the identifiers for the structure elements that are contained in all the package elements and service elements.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the structure elements that are contained in all the package elements and service elements.
vmware.vapi.metadata.metamodel.StructureInfo | Get (string structureId)
| Retrieves information about the structure element corresponding to structureId .
vmware.vapi.metadata.metamodel.StructureInfo | Get (string structureId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the structure element corresponding to structureId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.metamodel.StructureInfo > | GetAsync (string structureId)
| Retrieves information about the structure element corresponding to structureId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.metamodel.StructureInfo > | GetAsync (string structureId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the structure element corresponding to structureId .

## Detailed Description

Remote stub implementation of the Structure API service.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::StructureStub::StructureStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.vapi.metadata.metamodel.StructureInfo vmware::vapi::metadata::metamodel::StructureStub::Get | ( | string | structureId | ) | `[inline]`

Retrieves information about the structure element corresponding to structureId .

The StructureInfo contains the metamodel information about the structure element. It contains information about all the field elements and enumeration elements contained in this structure element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the structure element associated with structureId is not contained in any of the package elements or service elements.

Parameters:

  structureId | Identifier of the structure element. The parameter must be an identifier for the resource type: `com.vmware.vapi.structure` .

Returns:
  The StructureInfo instance that corresponds to structureId .

Implements vmware::vapi::metadata::metamodel::Structure.

vmware.vapi.metadata.metamodel.StructureInfo vmware::vapi::metadata::metamodel::StructureStub::Get | ( | string | structureId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves information about the structure element corresponding to structureId .

The StructureInfo contains the metamodel information about the structure element. It contains information about all the field elements and enumeration elements contained in this structure element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the structure element associated with structureId is not contained in any of the package elements or service elements.

Parameters:

  structureId | Identifier of the structure element. The parameter must be an identifier for the resource type: `com.vmware.vapi.structure` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The StructureInfo instance that corresponds to structureId .

Implements vmware::vapi::metadata::metamodel::Structure.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.metamodel.StructureInfo> vmware::vapi::metadata::metamodel::StructureStub::GetAsync | ( | string | structureId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves information about the structure element corresponding to structureId .

The StructureInfo contains the metamodel information about the structure element. It contains information about all the field elements and enumeration elements contained in this structure element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the structure element associated with structureId is not contained in any of the package elements or service elements.

Parameters:

  structureId | Identifier of the structure element. The parameter must be an identifier for the resource type: `com.vmware.vapi.structure` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The StructureInfo instance that corresponds to structureId .

Implements vmware::vapi::metadata::metamodel::Structure.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.metamodel.StructureInfo> vmware::vapi::metadata::metamodel::StructureStub::GetAsync | ( | string | structureId | ) | `[inline]`

Retrieves information about the structure element corresponding to structureId .

The StructureInfo contains the metamodel information about the structure element. It contains information about all the field elements and enumeration elements contained in this structure element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the structure element associated with structureId is not contained in any of the package elements or service elements.

Parameters:

  structureId | Identifier of the structure element. The parameter must be an identifier for the resource type: `com.vmware.vapi.structure` .

Returns:
  The StructureInfo instance that corresponds to structureId .

Implements vmware::vapi::metadata::metamodel::Structure.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::StructureStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers for the structure elements that are contained in all the package elements and service elements.

Returns:
  The list of identifiers for the structure elements. The result will contain identifiers for the resource type: `com.vmware.vapi.structure` .

Implements vmware::vapi::metadata::metamodel::Structure.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::StructureStub::List | ( |  | ) | `[inline]`

Returns the identifiers for the structure elements that are contained in all the package elements and service elements.

Returns:
  The list of identifiers for the structure elements. The result will contain identifiers for the resource type: `com.vmware.vapi.structure` .

Implements vmware::vapi::metadata::metamodel::Structure.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::metamodel::StructureStub::ListAsync | ( |  | ) | `[inline]`

Returns the identifiers for the structure elements that are contained in all the package elements and service elements.

Returns:
  The list of identifiers for the structure elements. The result will contain identifiers for the resource type: `com.vmware.vapi.structure` .

Implements vmware::vapi::metadata::metamodel::Structure.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::metamodel::StructureStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers for the structure elements that are contained in all the package elements and service elements.

Returns:
  The list of identifiers for the structure elements. The result will contain identifiers for the resource type: `com.vmware.vapi.structure` .

Implements vmware::vapi::metadata::metamodel::Structure.

The documentation for this class was generated from the following file:

- StructureStub.cs